---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libma01t001a.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x4940, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4AAF0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4CA30, symBinAddr: 0xE100, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4CE18, symBinAddr: 0xE4E8, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4DDB8, symBinAddr: 0xF488, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4DDC0, symBinAddr: 0xF490, symSize: 0x0 }
  - { offsetInCU: 0xBA9, offset: 0xBA9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4A780, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0xBB4, offset: 0xBB4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4A784, symBinAddr: 0xC09C, symSize: 0x0 }
  - { offsetInCU: 0xBBF, offset: 0xBBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4A788, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xC04, offset: 0xC04, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4A8D8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC7D, offset: 0xC7D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4A990, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0xC9B, offset: 0xC9B, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4A994, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0xCB4, offset: 0xCB4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4A998, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCCD, offset: 0xCCD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4A99C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCE6, offset: 0xCE6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4A9A0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x92AC, offset: 0x92AC, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4A9A8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x9335, offset: 0x9335, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4A9B8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x934E, offset: 0x934E, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4A9C0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9367, offset: 0x9367, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4A9C8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9380, offset: 0x9380, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4A9D0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9399, offset: 0x9399, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4A9D8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4A9E0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9499, offset: 0x9499, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4AA28, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x3904, symSize: 0xA0 }
  - { offsetInCU: 0x9580, offset: 0x9580, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x38DC, symSize: 0x28 }
  - { offsetInCU: 0x95E3, offset: 0x95E3, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x385C, symSize: 0x80 }
  - { offsetInCU: 0x9877, offset: 0x9877, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x39A4, symSize: 0x34 }
  - { offsetInCU: 0x98D1, offset: 0x98D1, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x39D8, symSize: 0x20C }
  - { offsetInCU: 0x9A8A, offset: 0x9A8A, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x3BE4, symSize: 0x28 }
  - { offsetInCU: 0x9B53, offset: 0x9B53, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x3C0C, symSize: 0xB0 }
  - { offsetInCU: 0x9C4A, offset: 0x9C4A, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x3CBC, symSize: 0xD8 }
  - { offsetInCU: 0x9D9B, offset: 0x9D9B, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x3D94, symSize: 0x24 }
  - { offsetInCU: 0x9E7E, offset: 0x9E7E, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x3DB8, symSize: 0x168 }
  - { offsetInCU: 0xA05A, offset: 0xA05A, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x3F20, symSize: 0x104 }
  - { offsetInCU: 0xA30B, offset: 0xA30B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x4024, symSize: 0x3F8 }
  - { offsetInCU: 0xA52F, offset: 0xA52F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x441C, symSize: 0x154 }
  - { offsetInCU: 0xA713, offset: 0xA713, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x4570, symSize: 0xAC }
  - { offsetInCU: 0xA7E8, offset: 0xA7E8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x461C, symSize: 0x14 }
  - { offsetInCU: 0xA821, offset: 0xA821, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x4630, symSize: 0x14 }
  - { offsetInCU: 0xA85A, offset: 0xA85A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x4644, symSize: 0x14 }
  - { offsetInCU: 0xAA3B, offset: 0xAA3B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x4658, symSize: 0x1A8 }
  - { offsetInCU: 0xAD45, offset: 0xAD45, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x4800, symSize: 0x140 }
  - { offsetInCU: 0xAEE6, offset: 0xAEE6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x4BB0, symSize: 0x1C0 }
  - { offsetInCU: 0xB1C3, offset: 0xB1C3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x4D70, symSize: 0x9C }
  - { offsetInCU: 0xB280, offset: 0xB280, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x4E0C, symSize: 0x690 }
  - { offsetInCU: 0xBE12, offset: 0xBE12, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x8FB0, symBinAddr: 0x638C, symSize: 0x30 }
  - { offsetInCU: 0xBE9E, offset: 0xBE9E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x549C, symSize: 0x74 }
  - { offsetInCU: 0xBF86, offset: 0xBF86, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x5510, symSize: 0xB0 }
  - { offsetInCU: 0xC091, offset: 0xC091, size: 0x8, addend: 0x0, symName: _nsk_jvmti_init_MA, symObjAddr: 0x4BA0, symBinAddr: 0x55C0, symSize: 0x1E4 }
  - { offsetInCU: 0xC2D3, offset: 0xC2D3, size: 0x8, addend: 0x0, symName: __ZL16nativeMethodBindP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDPvPS7_, symObjAddr: 0x4D84, symBinAddr: 0x57A4, symSize: 0x320 }
  - { offsetInCU: 0xC748, offset: 0xC748, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x5AC4, symSize: 0x3C }
  - { offsetInCU: 0xC83E, offset: 0xC83E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x5B00, symSize: 0x29C }
  - { offsetInCU: 0xCB81, offset: 0xCB81, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x5D9C, symSize: 0xD0 }
  - { offsetInCU: 0xCCAF, offset: 0xCCAF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x5E6C, symSize: 0xC }
  - { offsetInCU: 0xCD71, offset: 0xCD71, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x5E78, symSize: 0x22C }
  - { offsetInCU: 0xD02C, offset: 0xD02C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x60A4, symSize: 0x4 }
  - { offsetInCU: 0xD070, offset: 0xD070, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x60A4, symSize: 0x4 }
  - { offsetInCU: 0xD089, offset: 0xD089, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x60A8, symSize: 0x2A0 }
  - { offsetInCU: 0xD375, offset: 0xD375, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F6C, symBinAddr: 0x6348, symSize: 0x4 }
  - { offsetInCU: 0xD3B9, offset: 0xD3B9, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F6C, symBinAddr: 0x6348, symSize: 0x4 }
  - { offsetInCU: 0xD3D3, offset: 0xD3D3, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x8F70, symBinAddr: 0x634C, symSize: 0x40 }
  - { offsetInCU: 0xD43C, offset: 0xD43C, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x8FE0, symBinAddr: 0x63BC, symSize: 0x358 }
...
